apiVersion: v1
kind: Secret
metadata:
  name: {{ .Values.secretName | quote }}
type: Opaque
stringData:
  emailFrom: {{ .Values.email.from | quote }}
  emailUsername: {{ .Values.email.username | quote }}
  emailHost: {{ .Values.email.host | quote }}
  emailPort: {{ .Values.email.port | quote }}
  emailPassword: {{ .Values.email.password | quote }}

  {{- with .Values.postgres }}
  postgresConn: {{ printf "postgres://%s:%s@%s:%s/%s?sslmode=%s&ssl=%s" .username .password .hostname (.port | toString) .database .sslmode (.ssl| toString) }}
  migrationPostgresConn: {{ printf "postgres://%s:%s@%s:%s/%s?sslmode=%s&ssl=%s" .username .password .hostname (.migrationPort | toString) .database .sslmode (.ssl| toString) }}
  {{- end }}
  {{- with .Values.access_proxy.postgres }}
  accessProxyPostgresConn: {{ printf "postgres://%s:%s@%s:%s/%s?sslmode=%s&ssl=%s" .username .password .hostname (.port | toString) .database .sslmode (.ssl| toString) }}
  {{- end }}
  tokenIssuer: {{ .Values.token.issuer }}
  tokenSecretOrCertPath: {{ .Values.token.secretOrCertPath }}
  {{- if .Values.redis.password }}
  redis-conn: {{ printf "redis://somebody:%s@%s:%d/%d" .Values.redis.password .Values.redis.host (.Values.redis.port | int) (.Values.redis.database | int) }}
  {{- else }}
  redis-conn: {{ printf "redis://%s:%d/%d" .Values.redis.host (.Values.redis.port | int) (.Values.redis.database | int) }}
  {{- end }}
